<?php

/**
 * Implements hook_block_info().
 */
function social_simplesharer_block_info() {
  $blocks = array();
  $blocks['social_simplesharer'] = array(
    'info' => t('Social SimpleSharer'),
  );
  $blocks['social_simplesharer_small'] = array(
    'info' => t('Social SimpleSharer Small'),
  );
  return $blocks;
}

/**
 * Implements hook_block_configure().
 */
function social_simplesharer_block_configure($delta = '') {
  $form = array();

  switch ($delta) {
    case 'social_simplesharer':

      $form['social_simplesharer_style'] = array(
        '#type' => 'select',
        '#title' => t('Style'),
        '#default_value' => variable_get('social_simplesharer_style'),
        '#description' => t("Use an optional built-in CSS style."),
        '#options' => array(
          'none' => t('None: User Provided'),
          'ideas' => t('Ideas By Elliot Style'),
          'workasone' => t('Work As One Style'),
          'social-media-standard' => t('Social Media Standard'),
        ),
        '#required' => TRUE,
      );
      $form['social_simplesharer_library'] = array(
        '#type' => 'select',
        '#title' => t('Library'),
        '#default_value' => variable_get('social_simplesharer_library'),
        '#description' => t('Use an optional icon library'),
        '#options' => array(
          'none' => t('None: Plain Text'),
          'fontawesome' => t('Font Awesome Icons'),
          'foundation' => t('Foundation Icon Set'),
        ),
        '#required' => TRUE,
      );
      // Facebook.
      $form['social_simplesharer_facebook'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable Facebook'),
        '#description'    => t('Enable the Facebook Social SimpleSharer Button'),
        '#default_value'  => variable_get('social_simplesharer_facebook'),
      );
      // Twitter.
      $form['social_simplesharer_twitter'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable Twitter'),
        '#description'    => t('Enable the Twitter Social SimpleSharer Button'),
        '#default_value'  => variable_get('social_simplesharer_twitter'),
      );
      $form['social_simplesharer_pinterest'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable Pinterest'),
        '#description'    => t('Enable the Pinterest Social SimpleSharer Button'),
        '#default_value'  => variable_get('social_simplesharer_pinterest'),
      );
      $form['social_simplesharer_linkedin'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable LinkedIN'),
        '#description'    => t('Enable the LinkedIN Social SimpleSharer Button'),
        '#default_value'  => variable_get('social_simplesharer_linkedin'),
      );
      $form['social_simplesharer_tumblr'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable Tumblr'),
        '#description'    => t('Enable the Tumblr Social SimpleSharer Button'),
        '#default_value'  => variable_get('social_simplesharer_tumblr'),
      );
      $form['social_simplesharer_reddit'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable Reddit'),
        '#description'    => t('Enable the Reddot Social SimpleSharer Button'),
        '#default_value'  => variable_get('social_simplesharer_reddit'),
      );
      $form['social_simplesharer_email'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable E-mail'),
        '#description'    => t('Enable the E-mail Social SimpleSharer Button'),
        '#default_value'  => variable_get('social_simplesharer_email'),
      );
      break;

    case 'social_simplesharer_small':
      $form['social_simplesharer_small_library'] = array(
        '#type' => 'select',
        '#title' => t('Library'),
        '#default_value' => variable_get('social_simplesharer_small_library'),
        '#description' => t('Use an optional icon library'),
        '#options' => array(
          'none' => t('None: Plain Text'),
          'fontawesome' => t('Font Awesome Icons'),
          'foundation' => t('Foundation Icon Set'),
        ),
        '#required' => TRUE,
      );
      // Facebook.
      $form['social_simplesharer_small_facebook'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable Facebook (sm)'),
        '#description'    => t('Enable the Facebook Social SimpleSharer (small) Button'),
        '#default_value'  => variable_get('social_simplesharer_small_facebook'),
      );
      // Twitter.
      $form['social_simplesharer_small_twitter'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable Twitter (sm)'),
        '#description'    => t('Enable the Twitter Social SimpleSharer (small) Button'),
        '#default_value'  => variable_get('social_simplesharer_small_twitter'),
      );
      $form['social_simplesharer_small_pinterest'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable Pinterest (sm)'),
        '#description'    => t('Enable the Pinterest Social SimpleSharer (small) Button'),
        '#default_value'  => variable_get('social_simplesharer_small_pinterest'),
      );
      $form['social_simplesharer_small_linkedin'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable LinkedIN (sm)'),
        '#description'    => t('Enable the LinkedIN Social SimpleSharer (small) Button'),
        '#default_value'  => variable_get('social_simplesharer_small_linkedin'),
      );
      $form['social_simplesharer_small_tumblr'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable Tumblr (sm)'),
        '#description'    => t('Enable the Tumblr Social SimpleSharer (small) Button'),
        '#default_value'  => variable_get('social_simplesharer_small_tumblr'),
      );
      $form['social_simplesharer_small_reddit'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable Reddit (sm)'),
        '#description'    => t('Enable the Reddit Social SimpleSharer (small) Button'),
        '#default_value'  => variable_get('social_simplesharer_small_reddit'),
      );
      $form['social_simplesharer_small_email'] = array(
        '#type'           => 'checkbox',
        '#title'          => t('Enable E-mail (sm)'),
        '#description'    => t('Enable the E-mail Social SimpleSharer (small) Button'),
        '#default_value'  => variable_get('social_simplesharer_small_email'),
      );
      break;
  }
  return $form;
}

/**
 * Implements hook_block_save().
 */
function social_simplesharer_block_save($delta = '', $edit = array()) {
  switch ($delta) {
    case 'social_simplesharer':
      variable_set('social_simplesharer_style', $edit['social_simplesharer_style']);
      variable_set('social_simplesharer_library', $edit['social_simplesharer_library']);
      variable_set('social_simplesharer_facebook', $edit['social_simplesharer_facebook']);
      variable_set('social_simplesharer_twitter', $edit['social_simplesharer_twitter']);
      variable_set('social_simplesharer_pinterest', $edit['social_simplesharer_pinterest']);
      variable_set('social_simplesharer_linkedin', $edit['social_simplesharer_linkedin']);
      variable_set('social_simplesharer_tumblr', $edit['social_simplesharer_tumblr']);
      variable_set('social_simplesharer_reddit', $edit['social_simplesharer_reddit']);
      variable_set('social_simplesharer_email', $edit['social_simplesharer_email']);
      break;

    case 'social_simplesharer_small':
      variable_set('social_simplesharer_small_library', $edit['social_simplesharer_small_library']);
      variable_set('social_simplesharer_small_facebook', $edit['social_simplesharer_small_facebook']);
      variable_set('social_simplesharer_small_twitter', $edit['social_simplesharer_small_twitter']);
      variable_set('social_simplesharer_small_pinterest', $edit['social_simplesharer_small_pinterest']);
      variable_set('social_simplesharer_small_linkedin', $edit['social_simplesharer_small_linkedin']);
      variable_set('social_simplesharer_small_tumblr', $edit['social_simplesharer_small_tumblr']);
      variable_set('social_simplesharer_small_reddit', $edit['social_simplesharer_small_reddit']);
      variable_set('social_simplesharer_small_email', $edit['social_simplesharer_small_email']);
      break;
  }
}

/**
 * Implements hook_block_view().
 */
function social_simplesharer_block_view($delta = '') {
  $block = array();

  switch ($delta) {
    case 'social_simplesharer':
      $block['content'] = social_simplesharer_content();
      break;

    case 'social_simplesharer_small':
      $block['content'] = social_simplesharer_small_content();
      break;
  }
  return $block;
}
